// ignore: import_of_legacy_library_into_null_safe
import 'package:scoped_model/scoped_model.dart';

class UserInfoModel extends Model{
  String _nombreCompleto = "";
  String _pais = "";
  String _estado = "";
  String _ciudad = "";
  String _numTel = "";
  String _correo = "";
  String _idUsuario = "";
  String _accessToken = "";

  String get nombreCompleto{
    return _nombreCompleto;
  }

  String get pais{
    return _pais;
  }

  String get estado{
    return _estado;
  }

  String get ciudad{
    return _ciudad;
  }

  String get numTel{
    return _numTel;
  }

  String get correo{
    return _correo;
  }

  String get idUsuario{
    return _idUsuario;
  }

  String get accessToken{
    return _accessToken;
  }

  void updateNombreCompleto(String nombreCompleto){
    _nombreCompleto = nombreCompleto;
  }

  void updatePais(String pais){
    _pais = pais;
  }

  void updateEstado(String estado){
    _estado = estado;
  }

  void updateCiudad(String ciudad){
    _ciudad = ciudad;
  }

  void updateNumTel(String numTel){
    _numTel = numTel;
  }

  void updateCorreo(String correo){
    _correo = correo;
  }

  void updateIDUsuario(String idUsuario){
    _idUsuario = idUsuario;
  }

  void updateAccessToken(String accessToken){
    _accessToken = accessToken;
  }
}